LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05638Bug reports[All Projects] Survey takingpublic2011-12-21 18:222012-01-20 13:08
ReporterTMSWhite 
Assigned ToTMSWhite 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.92RC1 
Target VersionFixed in Version1.92RC2 
Summary05638: Some Question-level Validation Rules don't show when you first view a page
DescriptionValidation messages do not always appear when first viewing a page, but they do show if you fail the validation requirements.
Steps To ReproduceTest the "Validation Tests" and "Validation Tests - with Regular Expression Masks" pages of the limesurvey2_sample_english.lss survey.
Additional InformationSolution:

*Requires refactoring of qanda.php to use LimeExpressionManager::GetQuestionStatus($qid) to use the validation and madatory tips rather than the 1.91+ strategy for generating them.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID11702
Browser
Database & DB-VersionMysql 5.2
Operating System (Server)Windows XP
Webserver software & versionXAMPP
PHP Version5.2
Attached Files

- Relationships

-  Notes
User avatar (16778)
TMSWhite (reporter)
2012-01-10 00:24

Notes to self. How does LS color-code the messages?

Example - question type K:
Total of all entries must not exceed 20
Total of all entries must be at least 10

Each phrase uses class='tip'

If the phrase is valid, class becomes 'tip good' (green).
If a phrase is invalid, class becomes, 'tip problem' (red).
User avatar (16779)
TMSWhite (reporter)
2012-01-10 10:16

Fixed in revision 11965
User avatar (16836)
c_schmitz (administrator)
2012-01-20 13:08

1.92RC2 released.

- Issue History
Date Modified Username Field Change
2011-12-21 18:22 TMSWhite New Issue
2011-12-29 19:16 c_schmitz Assigned To => TMSWhite
2011-12-29 19:16 c_schmitz Status new => assigned
2012-01-10 00:24 TMSWhite Note Added: 16778
2012-01-10 10:16 TMSWhite Note Added: 16779
2012-01-10 10:16 TMSWhite Status assigned => resolved
2012-01-10 10:16 TMSWhite Resolution open => fixed
2012-01-20 13:07 c_schmitz Fixed in Version => 1.92RC2
2012-01-20 13:08 c_schmitz Note Added: 16836
2012-01-20 13:08 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker